pcl::cuda::ChangeColor Struct Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/io/include/pcl/cuda/io/predicate.h>`

## Public Member Functions

| ChangeColor (const OpenNIRGB &color)
__inline__ __host__ __device__ PointXYZRGB & | operator() (PointXYZRGB &point)

## Public Attributes

OpenNIRGB | color_

## Detailed Description

Definition at line 80 of file predicate.h.

## Constructor & Destructor Documentation

## ChangeColor()

pcl::cuda::ChangeColor::ChangeColor | ( | const OpenNIRGB & | color | ) |

inline

Definition at line 82 of file predicate.h.

## Member Function Documentation

## operator()()

__inline__ __host__ __device__ PointXYZRGB& pcl::cuda::ChangeColor::operator() | ( | PointXYZRGB & | point | ) |

inline

Definition at line 84 of file predicate.h.

References pcl::cuda::RGB::b, pcl::cuda::RGB::g, pcl::cuda::RGB::r, and pcl::cuda::PointXYZRGB::rgb.

## Member Data Documentation

## color_

OpenNIRGB pcl::cuda::ChangeColor::color_

Definition at line 89 of file predicate.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/io/include/pcl/cuda/io/predicate.h